Dear all,

When I use the internet browser I get the messsage:

you are not using the latest internet browser, there is a newer version.
(or some thing like that)

This message I receive when I visit Marktplaats.nl. And I cannot go further on this url.

What to do?

Thnx

Simon